summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Kennedy <mkennedy@gentoo.org>2005-02-10 09:18:30 +0000
committerMatthew Kennedy <mkennedy@gentoo.org>2005-02-10 09:18:30 +0000
commit760cc145a07087b38f34942a0c58d0c6bf7d2f27 (patch)
tree8c6a0a0fa650b6704a1ac06668630d0fc7b19f45 /dev-lisp/clisp/files
parentx86 for chrpath (diff)
downloadgentoo-2-760cc145a07087b38f34942a0c58d0c6bf7d2f27.tar.gz
gentoo-2-760cc145a07087b38f34942a0c58d0c6bf7d2f27.tar.bz2
gentoo-2-760cc145a07087b38f34942a0c58d0c6bf7d2f27.zip
controler refresh
(Portage version: 2.0.51-r15)
Diffstat (limited to 'dev-lisp/clisp/files')
-rw-r--r--dev-lisp/clisp/files/2.33.2/README.Gentoo11
-rw-r--r--dev-lisp/clisp/files/2.33.2/clisp.sh118
-rw-r--r--dev-lisp/clisp/files/2.33.2/install-clc.lisp15
-rw-r--r--dev-lisp/clisp/files/digest-clisp-2.33.2-r22
4 files changed, 146 insertions, 0 deletions
diff --git a/dev-lisp/clisp/files/2.33.2/README.Gentoo b/dev-lisp/clisp/files/2.33.2/README.Gentoo
new file mode 100644
index 000000000000..6bec925fb0d3
--- /dev/null
+++ b/dev-lisp/clisp/files/2.33.2/README.Gentoo
@@ -0,0 +1,11 @@
+ -*-outline-*-
+
+* Gentoo Specific Notes
+
+The CLISP port for Gentoo uses Common Lisp Controller related code
+(install-clc.lisp and clisp.sh) from Debian. This code contains the following
+copyright:
+
+ ;;;; Copyright (c) 2004 Kevin M. Rosenberg
+ ;;;; GNU GPL v2 license
+
diff --git a/dev-lisp/clisp/files/2.33.2/clisp.sh b/dev-lisp/clisp/files/2.33.2/clisp.sh
new file mode 100644
index 000000000000..f5ed6a1d8fce
--- /dev/null
+++ b/dev-lisp/clisp/files/2.33.2/clisp.sh
@@ -0,0 +1,118 @@
+#!/bin/sh
+# Copyright (c) 2002 Kevin M. Rosenberg
+# GNU GPL v2 license
+
+if [ ! -f /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ] ; then
+ echo "*** Can't find common-lisp-controller.lisp ***" >&2
+ echo "Please report this as a bug" &>2
+ exit 1
+fi
+
+clisp_dir=/usr/lib/clisp
+clc_lib_dir=/usr/lib/common-lisp/clisp
+
+builder=/usr/bin/clisp
+old_mem=$clisp_dir/full/lispinit.mem
+new_mem=$clisp_dir/full/lispinit-new.mem
+clean_mem=$clisp_dir/full/lispinit-clean.mem
+
+lisp_error()
+{
+ echo "Error running $builder" >&2
+ exit 1
+}
+
+mem_error()
+{
+ echo "Error moving new lisp image $new_mem" >&2
+ exit 1
+}
+
+
+case $1 in
+ rebuild)
+ echo $0 Rebuilding packages...
+ shift
+ while [ -x $builder ] && [ ! -z "$1" ] ; do
+ echo ...rebuilding $1
+ $builder -norc -q -M $old_mem -x "
+(let ((*compile-print* nil)
+ (*compile-progress* nil)
+ (*compile-verbose* nil)
+ (*require-verbose* nil)
+ (*load-verbose* nil)
+ (mk::*load-source-if-no-binary* nil)
+ (mk::*bother-user-if-no-binary* nil)
+ (mk::*compile-during-load* t))
+ (handler-case
+ (progn
+ (c-l-c:compile-library (quote $1))
+ (ext:exit 0)
+ )
+ (error (e)
+ (ignore-errors (format t \"~&Build error: ~A~%\" e))
+ (finish-output)
+ (ext:exit 1))))" || exit 1
+ shift
+ done
+ ;;
+ remove)
+ echo $0 Removing packages...
+ shift
+ while [ ! -z "$1" ] ; do
+ echo ...removing package $1
+ rm -rf "${clc_lib_dir}/$1"
+ shift
+ done
+ rmdir $clc_lib_dir 2> /dev/null
+ ;;
+ install-clc)
+ echo Installing clc...
+ if [ ! -f $clean_mem ]; then
+ cp $old_mem $clean_mem
+ fi
+ if [ -x $clisp_dir/$lisp_builder ]; then
+ $builder -norc -q -M $clean_mem \
+ -x "
+(handler-case
+ (progn
+ (when (find-package :c-l-c) ; have to remove
+ (delete-package :c-l-c)) ; for clisp workaround
+ (load \"$clisp_dir/install-clc.lisp\")
+ (saveinitmem \"${new_mem}\")
+ (ext:exit 0))
+ (error (e)
+ (ignore-errors (format t \"~&install-clc error: ~A~%\" e))
+ (finish-output)
+ (ext:exit 1)))" || lisp_error
+ mv $new_mem $old_mem || mem_error
+ fi
+ ;;
+ remove-clc)
+ if [ -f $clean_mem ]; then
+ cp $clean_mem $old_mem
+ else
+ echo "Warning: Can't find original image file $clean_mem. Aborting." >& 2
+ fi
+ ;;
+ make-user-image)
+ if [ ! -f $2 ] ; then
+ echo "Trying to make-user image, but can not find file $2" >&2
+ exit 1
+ fi
+ $builder -norc -q -M $old_mem \
+ -x "(progn
+ (load \"$2\")
+ (saveinitmem \"${new_mem}\"))
+ (ext:exit 0)" || lisp_error
+ mv $new_mem $old_mem || mem_error
+ ;;
+ *)
+ echo "`basename $0`: Unknown command $1" >&2
+ echo "Known commands are:" >&2
+ echo "install-clc, remove-clc, rebuild, remove, and make-user-image" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/dev-lisp/clisp/files/2.33.2/install-clc.lisp b/dev-lisp/clisp/files/2.33.2/install-clc.lisp
new file mode 100644
index 000000000000..06cb217d32cf
--- /dev/null
+++ b/dev-lisp/clisp/files/2.33.2/install-clc.lisp
@@ -0,0 +1,15 @@
+;;;; -*- Mode: Lisp; Package: CL-USER -*-
+;;;; Copyright (c) 2004 Kevin M. Rosenberg
+;;;; GNU GPL v2 license
+
+(in-package #:cl-user)
+
+(handler-case
+ (load "/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp")
+ (error (e)
+ (format t "Error during loading of common-lisp-controller.lisp: ~A~%" e)))
+
+(handler-case
+ (common-lisp-controller:init-common-lisp-controller-v4 "clisp")
+ (error (e)
+ (format t "Error during init-common-lisp-controller-v4: ~A~%" e)))
diff --git a/dev-lisp/clisp/files/digest-clisp-2.33.2-r2 b/dev-lisp/clisp/files/digest-clisp-2.33.2-r2
new file mode 100644
index 000000000000..afef75069d15
--- /dev/null
+++ b/dev-lisp/clisp/files/digest-clisp-2.33.2-r2
@@ -0,0 +1,2 @@
+MD5 ee4ea316db1e843dcb16094bf500012f clisp-2.33.2.tar.bz2 6091273
+MD5 a8e45ef870661806fa000a0da2c3b473 clisp_2.33.2-7.diff.gz 151159